Create a target employer order

Creates a new order and verification. Returns a JSON object representing the newly created order and verification. A target employer verification is distinct in that it _requires_ a target employer in the request body for processing. ## Verification processing Target employer verifications are processed _asynchronously_: they will be created and returned in the response body without any [reports](api.yaml/paths/~1verification-requests~1{verification_id}~1report/get). Truework will then send a webhook when the request has finished processing, and the reports can be retrieved. This creates a verification request with the following attributes: - Target employer required - Is processed asynchronously - Can be any client-defined combination of Instant, Credentials, and Smart Outreach verification methods - Returns the verification on a new order object ### Controlling Processing with request config The request config object allows you to configure how you use Truework by selecting only the verification methods and features you need.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Request

permissible_purposeenumRequired

A valid purpose is required for Truework to process the verification request. Throughout the API, this is signified by the permissible_purpose field.

VALUEDESCRIPTION
child-supportDetermine child support payments (available to verifiers that represent a state or local child support enforcement agencies)
credit-applicationThe target’s application for credit
employee-eligibilityEmployee’s eligibility for a benefit granted by a governmental agency required by law to consider the employee’s financial responsibility or status
employee-requestThe target has issued the verifier written instruction to obtain this information
employee-review-or-collectionPerforming a review or collection of the target’s account
employmentEmployment purposes where the target has given prior written consent
insurance-underwriting-applicationUnderwriting insurance in response to the target’s application
legitimate-reason-initiatedLegitimate business need for the information in connection with a business transaction initiated by the target
legitimate-reason-reviewLegitimate business need to review the target’s account to determine whether the employee continues to meet the terms of the account
risk-assessmentTo assess the credit or prepayment risks associated with an existing credit obligation of the target
subpoenaFor a court order or a federal grand jury subpoena
targetobjectRequired
Information on the individual who is being verified
typeenumRequired
Allowed values:
use_caseenumRequired

The verification request use case describes the type of product the verification request is originating from. If omitted, the verifier type in account settings will be used as a default

VALUEDESCRIPTION
mortgageVerification for a mortgage
home-equityVerification for home equity
backgroundVerification for a background check
tenantVerification for a rental property
governmentVerification for government/social services
autoVerification for auto lending
lendingVerification for personal loans or consumer lending
creditVerification for credit cards
identityVerification for identity or fraud
insuranceVerification for insurance
healthVerification for health services
offersVerification for offers
account-managementVerification for account management
preapprovalVerification for preapprovals
additional_informationstring or nullOptional
Any additional information about the target that can help expedite the completion of the verification request
authorization_formslist of objects or nullOptional
Authorization form files provided by the verifier for the verification
loan_idstring or nullOptional
The loan id associated with the verification request
metadatamap from strings to strings or nullOptional

A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings

request_configobjectOptional
reseller_originating_partyobject or nullOptional

The originating party that requested the verification via a reseller. reseller_originating_party is required for for companies that resell data provided by Truework.

search_keystring or nullOptional

A non-unique key that can be used to search for Orders

tenant_property_idstring or nullOptional
The ID of the tenant property to be used for this verification request.

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

Order Request Created.
idstring1-128 characters
loan_idstring or null
The loan id associated with the verification request
reverificationobject or null
Response object specific to Reverification requests.
search_keystring or null

A non-unique key that can be used to search for Orders

target_employerobject or null
Response object specific to Target Employer requests.
truework_directobject or null
Response object specific to Truework Direct requests.
verification_requestslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error